Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 620582 - Enable systemtap static probes
Enable systemtap static probes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 18:06 EDT by Mark Wielaard
Modified: 2012-08-16 18:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:34:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to enable systemtap static probe support (2.77 KB, patch)
2010-08-02 18:06 EDT, Mark Wielaard
no flags Details | Diff
updated systemtap static probe support patch for 2.25.13 (1.30 KB, application/octet-stream)
2010-08-07 10:28 EDT, Mark Wielaard
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 625876 None None None Never

  None (edit)
Description Mark Wielaard 2010-08-02 18:06:04 EDT
Created attachment 436143 [details]
patch to enable systemtap static probe support

Since glib2 2.25.8 glib contains static markers that can be used as events for systemtap. It would be nice to have them enabled by default.

Attach is a patch to include them and add the tapsets to the glib2-devel subpackage. It includes fix for a bug I reported upstream: https://bugzilla.gnome.org/show_bug.cgi?id=625876
Comment 1 Colin Walters 2010-08-07 08:10:50 EDT
Looks fine to me.  I'd like to try this for F14.
Comment 2 Mark Wielaard 2010-08-07 10:28:59 EDT
Created attachment 437343 [details]
updated systemtap static probe support patch for 2.25.13

2.25.13 has the upstream patch applied, which makes the glib2.spec changes much simpler.
Comment 3 Colin Walters 2010-08-09 12:12:26 EDT
Committed to devel/
Comment 4 Fedora End Of Life 2012-08-16 18:34:05 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.